<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-success ml-1" (click)="crudService('I')">
    Check-In
  </button>
  <button type="button" (click)="crudService('O')" class="btn btn-danger ml-1" >
    Check-Out
  </button>
  <button type="button" (click)="crudService('V')" class="btn btn-secondary ml-1" >
    Vacías
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Selecciona Interface</label>
          <input type="radio" name="cChr2" formControlName="cChr2" value="C-MITEL" id="VoiceMitel" class="k-radio"
          [checked]="true">
          <label class="k-radio-label mr-2 w-100" for="VoiceMitel">Voice Mail Mitel</label>
          <input type="radio" name="cChr2" formControlName="cChr2" value="C-AURONIX" id="VoiceAuronix" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="VoiceAuronix">Voice Mail Auronix</label>
          <input type="radio" name="cChr2" formControlName="cChr2" value="T-" id="TV" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="TV">TV</label>
          <input type="radio" name="cChr2" formControlName="cChr2" value="A-" id="AireAc" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="AireAc">Aire Acondicionado</label>
        </div>
        <div class="col-sm-3 col-md-2">
          <label class="k-form-field ml-sm-2 mt-2">
            <label></label>
            <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
            <label class="k-checkbox-label mt-4" for="lLog1">Individual</label>
          </label>
        </div>
        <div class="col-sm-2" *ngIf="ngForm.value.lLog1">
          <label class="w-100">Cuarto</label>
              <div class="input-group">
                <input type="tel" pattern="[0-9]*" class="form-control" formControlName="cChr3" readonly>
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" (click)="openModal(modal, 'allCrts')">
                    <i class="fas fa-search"></i>
                  </button>
                </div>
              </div>
        </div>
        <div class="col-sm-2" *ngIf="ngForm.value.lLog1">
          <label class="w-100">Ext.</label>
          <input  type="text"
                  class="form-control" [(ngModel)]="nombre"
                  [ngModelOptions]="{standalone: true}"
                  readonly>
        </div>
        <div class="col-sm-2" *ngIf="ngForm.value.lLog1">
          <label class="w-100">Ext.</label>
          <input  type="tel"
                  pattern="[0-9]*"
                  class="form-control" [(ngModel)]="extension"
                  [ngModelOptions]="{standalone: true}"
                  readonly>
        </div>
      </div>

      <div class="divider"></div>

      <div class="row">
        <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Check-In:</strong>
          <label class="w-80 ml-2">Realiza el check-in de todas las habitaciones ocupadas.</label>
      </div>
      <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Check-Out:</strong>
          <label class="w-80 ml-2">Realiza check-out a todas las habitaciones ocupadas.</label>
      </div>
      <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Vacías:</strong>
          <label class="w-80 ml-2">Realiza check-out a todas las habitaciones desocupadas.</label>
      </div>

      </div>
    </form>

  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-all-cuartos (allCrts)="getDataModal($event, 'allCrts'); c()" *ngIf="modalType === 'allCrts'"></app-all-cuartos>


  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>

